Subject: [mobile-ip] WIRE1x - free software of 802.1x supplicant

From: "Wen-Ting Wu" <[email-masked]>
Date: Tue, 1 Jul 2003 11:15:48 +0800

We are pleased to announce the release of WIRE1x Version 0.1.
> Both source code and executable code can be downloaded from
> http://wire.cs.nthu.edu.tw/wire1x/
>
> What is WIRE1x?
>
> The WIRE1x is an implementation of IEEE 802.1x client (supplicant)
> developed by the Wireless Internet Research & Engineering (WIRE) Lab.
> The IEEE 802.1x standard defines a port-based network access control to
> authenticate and  authorize devices interconnected by various IEEE 802
> LANs. IEEE 802.11i also incorporates 802.1x as its authentication
> solution for 802.11 wireless LANs.
>
> The implementation of WIRE1x is based on the Open1x. Open1x supports
> MacOS X, FreeBSD, OpenBSD, and Linux. Many users at National Tsing Hua
> University however are using MS Windows. They need a 802.1x client
> software to access to the campus wireless LANs. We therefore develop the
> WIRE1x to support various versions of MS Windows. Currently, the WIRE1x
> supports Windows XP (without service pack and with service pack 1) and
> Windows 2000. It provides EAP MD5-Challenge. It works with freeRADIUS.
> It now supports several WLAN cards including Avaya, 3com, PCI, and ZyXel
> cards. We will upgrade the program to support more WLAN cards, more
> authentication mechanisms, and more (especially earlier) versions of MS
> Windows. Both source code and executable code can be downloaded from
> http://wire.cs.nthu.edu.tw/wire1x/.

Best Regards,
Ting